Skip to main content
`Ctrl`+`K`

# PetscDrawLGAddPoint

Adds another point to each of the line graphs. The new point must have an X coordinate larger than the old points.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawLGAddPoint(PetscDrawLG lg, const PetscReal *x, const PetscReal *y)

Logically Collective

## Input Parameters

- lg - the line graph context

- x - array containing the x coordinate for the point on each curve

- y - array containing the y coordinate for the point on each curve

## Notes

You must call `PetscDrawLGDraw()` to display any added points

Call `PetscDrawLGReset()` to remove all points

## See Also

`PetscDrawLG`, `PetscDrawLGCreate()`, `PetscDrawLGAddPoints()`, `PetscDrawLGAddCommonPoint()`, `PetscDrawLGReset()`, `PetscDrawLGDraw()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/lg.c

## Examples

src/ksp/ksp/tutorials/ex69.c
src/ksp/ksp/tutorials/ex68.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages